PaidGoods
API referencePayment methods

Connected payment methods (current mode)

GET
/v1/stores/{storeId}/payment-methods

Authorization

AuthorizationBearer <token>

API key from Settings → API keys

In: header

Path Parameters

storeId*string

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/stores/string/payment-methods"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "provider": "string",      "providerName": "string",      "group": "string",      "name": "string",      "label": "string",      "description": "string",      "iconImageId": "51acc743-2da9-46a3-bf63-bfe370026c8b",      "showViaLabel": true,      "env": "live",      "status": "unverified",      "enabled": true,      "config": {        "property1": null,        "property2": null      },      "configuredCredentials": [        "string"      ],      "percentFeeBp": -9007199254740991,      "fixedFeeMinor": -9007199254740991,      "minAmountMinor": -9007199254740991,      "maxAmountMinor": -9007199254740991,      "currencyOverride": "string",      "allowedCountries": [        "string"      ],      "blockedCountries": [        "string"      ],      "sortOrder": -9007199254740991,      "health": {        "checkedAt": "string",        "ok": true,        "message": "string"      },      "webhookUrl": "string",      "forwardingAddress": "string",      "sandboxVerified": true,      "confirmation": "string",      "createdAt": "string"    }  ]}